# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::MvCostData Class Reference

Class for recording costs derived in motion estimation.

`#include <motion.h>`

List of all members.

## Public Member Functions

- MvCostData ()
    Constructor.
- void SetTotal (const float lambda)

## Public Attributes

- float SAD
    The Sum of Absolute Differences - easier to compute than Sum-Squared Differences.
- float mvcost
    The (Lagrangian-weighted) motion vector cost - the difference of a motion vector from its neighbouring vectors.
- float total
    Total=SAD+mvcost.

## Constructor & Destructor Documentation

dirac::MvCostData::MvCostData | ( |  | ) | `[inline]`

## Member Function Documentation

void dirac::MvCostData::SetTotal | ( | const float | lambda | ) | `[inline]`

References dirac_instr::SAD.

## Member Data Documentation

float dirac::MvCostData::SAD

float dirac::MvCostData::mvcost

float dirac::MvCostData::total

The documentation for this class was generated from the following file:

- motion.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.